가비아로 워드프레스 이전 작업

2018. 2. 7. 16:39 | 댓글 0

오늘은 카페24에서 가비아로 워드프레스를 이전하는 작업을 맡았습니다.

카페24에서 무사히 파일을 다운로드하여 가비아에 파일을 올렸는데... 이상한 오류가 발생하네요. 확인해 보니까 PHP 버전이 4.4.9네요.

어제 PHP 버전이 너무 낮다고 최소한 5.6 이상으로 업그레이드해달라고 요청했습니다. 그래서 오늘 가비아에 PHP 버전 업그레이드 요청을 했다고 합니다. 보통 2시간 정도 걸린다고 하네요.

하지만 요청을 한지 3시간 이상 지났는데 PHP 버전이 변경이 되지 않았네요. 다시 고객에게 PHP 버전 업그레이드를 가비아에 확인해달라고 부탁했습니다.

다시 2시간 정도 기다리라고 하네요. 수동으로 PHP 버전을 업그레이드한다고 합니다.

조금 작업을 하여 PHP 버전을 사용자가 직접 자동으로 바꿀 수 있도록 하면 얼마나 좋을까요?

워드프레스 자동 설치 기능도 뒤떨어져 있습니다.

워드프레스 설치 폴더를 직접 선택할 수 없고 무조건 wordpress 하위 폴더에 설치됩니다.ㅠㅠ

이전 작업이 생각보다 힘들어지고 있습니다. 이전 과정에서 이상한 오류가 나타나지 않을까 걱정되네요.

참고로 PHP 버전을 5.6으로 요청한 이유는 카페24에 설치된 워프가 PHP 5.5를 이용하기 때문이었습니다. 하지만 최근 워드프레스에서는 권장 PHP 버전을 7.2로 조정했습니다.

Siteground 등 일부 웹호스팅 업체에서는 벌써 PHP 7.2를 선택할 수 있도록 제공하고 있습니다.

  • 네이버 블러그 공유하기
  • 네이버 밴드에 공유하기
  • 페이스북 공유하기
  • 트위터 공유하기
  • 카카오스토리 공유하기

댓글을 달아 주세요

">